import FullCalendar from '@fullcalendar/react' // must go before plugins
import dayGridPlugin from '@fullcalendar/daygrid' // a plugin!
import timeGridPlugin from '@fullcalendar/timegrid'
import googleCalendarPlugin from '@fullcalendar/google-calendar';

function MyCalendar() {
    return (
        <FullCalendar
        plugins={[ dayGridPlugin, timeGridPlugin, googleCalendarPlugin]}
        initialView="dayGridMonth"
        locale="ja"
        headerToolbar= {{
          left: 'prev,next',
          center: 'title',
          right: 'dayGridMonth, timeGridWeek, timeGridDay'
        }}
        events={[
         { title: "Aさんと打ち合わせ", 
           start: "2023-07-07T13:00:00", end:"2023-07-07T14:00:00" },
         { title: "Bさんと打ち合わせ", 
           start: "2023-07-07T14:30:00", end:"2023-07-07T15:30:00" },
        ]}
        googleCalendarApiKey='XXXXXXXXXXX'
        events= {{
            googleCalendarId: 'XXXXXXXX@group.calendar.google.com' }}
      />
    );
}
export default MyCalendar;
